Need help? Check out our Support site, then


upgrading browser for foxfire

  1. alzheimersspeaks
    Member

    I was told to upgrade to explorer 9 but I have xp so then was told to use fox fire, but I'mstill getting notice to upgrade> I'm my blog is going to crash and die. What'sup? Will foxfire take care of the issue or not? Do I have to use explorer 9???? Help

    The blog I need help with is alzheimersspeaks.wordpress.com.

  2. That's not a WordPress question, but the answer is simple.

    If you use IE for browsing, update it. If you use Firefox for browsing, use that.

  3. alzheimersspeaks
    Member

    I'm confused a of it not being a wordpress question when word press is the one who gae me the notice on my dashboard telling me to upgrade? I have both now on my computer and I am still seeing the notice. Is it not a notice and a flipping ad??? I'm confused

  4. There was a dashboard notice on mine but when I upgraded it disappeared. Give it some time and if it's not gone then contact Staff and they can remove it.

  5. It's not really a notice, or an ad, just a recommendation. You'll always get the best and most secure browsing experience if you use a more modern browser.

    For Windows, I highly recommend either Firefox 4 or Chrome 11, both of which can be downloaded from http://browsehappy.com/

    Just down and install, then use your new browser instead of Internet Explorer. They both present a much nicer user experience (in my opinion, of course).

    This is just a recommendation, not a requirement. If you'd rather not, there's a "Dismiss" link at the bottom of the message.

  6. I upgraded to Firefox 4.0 and I'm glad I did. I like it. :)

  7. gothichydran126
    Member

    I'm having a problem with this. It's probably because my Mac is old but I also have the warning that my Firefox browser is out of date (Though I've always been downloading the upgrades that Firefox sends me. When I click in it says "Unfortunately the latest version of Firefox isn't compatible with your computer's operating system". Should I really worry about this?

  8. Your browser supports the sites you visit - not the other way around. If it is out of date then you will inevitably have issues as the outdated browser version will not be able to display the sites you visit fully or properly.

  9. Which version of Mac OS X are you running?

  10. gothichydran126
    Member

    It's 10.4.11.
    I know its really old but money is tight right now.

  11. Unfortunately, it looks like most browsers have moved on from supporting 10.4, but Opera has built a reputation for continuing to support older OSes, and they certainly don't disappoint with OS X 10.4.

    Opera 11, their latest release, still supports Mac OS X 10.4, so this is definitely the most secure and most modern browser that you can run.

    Give it a try, it's actually a pretty cool browser.

    http://www.opera.com/

  12. gothichydran126
    Member

    :)I will! Thanks!!

  13. You're welcome!

  14. alzheimersspeaks
    Member

    Will it mess up my computer if Iupload more then one browser like foxfire and chrome to see which I prefer?

  15. @alzheimersspeaks: I have a Windows 7 computer with Firefox, Internet Explorer and Chrome installed so I can verify how my site looks on all three. I experience no problems at all.

    And by the way, among the three, I chose Firefox as my default browser.

  16. alzheimersspeaks
    Member

    Thanks Airodyssey! I haven't liked the changes my outlook exchange on foxfire... very limiting so I wanted to check out some others too

  17. I've been using Mozilla's Flock browser for many years, but this month they went out of business (sold to Zynga and now no more updates). So I've switched to Firefox 4.0.1 and am generally please with it. Another good Mozilla browser, though not too many seem to know about it, is SeaMonkey, which I've also used in the past...and was very happy with it.

Topic Closed

This topic has been closed to new replies.

About this Topic